lab4/urls.py
from django.contrib import admin
from django.urls import path

from . import views

app_name = 'lab4'
urlpatterns = [
    path('', views.homepage, name='homepage'),
    path('about/', views.profil, name='about'),
    path('register/', views.register, name='register'),
    path('list/', views.list_jadwal, name='list_jadwal'),
    path('create/', views.create_jadwal, name='create_jadwal'),
    path('delete/all/', views.delete_jadwal_all, name='delete_jadwal_all'),
    
]

lab6/urls.py
# from django.contrib import admin
# from django.urls import path

# # from . import views

# app_name = 'lab6'
# urlpatterns = [
#     path('', views.homepage, name='homepage'),
    
# ]

lab_1/urls.py
from django.urls import re_path
from .views import index
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    re_path(r'^$', index, name='index'),
] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

lab_2/urls.py
from django.urls import path
from .views import index

#url for app, add your URL Configuration

urlpatterns = [
#TODO Implement this
]

praktikum/urls.py
from django.conf.urls import include
from django.urls import path, include
from django.contrib import admin
from django.conf import settings
from django.conf.urls.static import static
# import lab6.urls as lab6


urlpatterns = [
    path('admin/', admin.site.urls),
    path('lab4/', include('lab4.urls')),
    # path('lab6/', include(lab6)),
] #+ static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

lab4/models.py
from django.db import models

# Create your models here.
class JadwalPribadi(models.Model):
    hari = models.CharField(max_length=20)
    tanggal = models.CharField(max_length=20)
    jam = models.CharField(max_length=20)
    nama_kegiatan = models.CharField(max_length=200)
    tempat = models.CharField(max_length=200)
    kategori = models.CharField(max_length=200)

lab6/models.py
from django.db import models

# Create your models here.

lab_1/models.py
from django.db import models

# Create your models here.

lab_2/models.py
from django.db import models

# Create your models here.

lab4/forms.py
from django import forms
from .models import JadwalPribadi

class Jadwal_Form(forms.Form):
    hari = forms.CharField(label="Hari")
    tanggal = forms.DateField(
        label="Tanggal", widget=forms.DateInput(attrs={'type': "date"}))
    jam = forms.TimeField(
        label="Jam", widget=forms.TimeInput(attrs={'type': 'time'}))
    nama_kegiatan = forms.CharField(label="Nama Kegiatan")
    tempat = forms.CharField(label="Tempat")
    kategori = forms.CharField(label="Kategori")

lab4/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponse
from .models import JadwalPribadi
from .forms import Jadwal_Form


# Create your views here.
def homepage(request):
	return render(request,'home.html')

def profil(request):
	return render(request,'about-me.html')

def register(request):
	return render(request,'kontak.html')

def create_jadwal(request):
	form = Jadwal_Form(request.POST or None)
	response = {}
	if(request.method == "POST"):
	    if (form.is_valid()):
	        hari = request.POST.get("hari")
	        tanggal = request.POST.get("tanggal")
	        jam = request.POST.get("jam")
	        kategori = request.POST.get("kategori")
	        nama_kegiatan = request.POST.get("nama_kegiatan")
	        tempat = request.POST.get("tempat")

	        JadwalPribadi.objects.create(hari=hari, tanggal=tanggal, jam=jam, kategori=kategori, nama_kegiatan=nama_kegiatan, tempat=tempat)
	        response = {
	            "message" : "Jadwal Created",
	            "color" : "green",
	        }
	        return redirect('lab4:list_jadwal')
	    else:
	    	response = {
	    		"form" : Jadwal_Form,
	    		"message" : "Form is not Valid",
	    		"color" : "red",
	    	}
	    	return render(request, 'create_jadwal.html', response)

	response['form'] = form
	return render(request,'create_jadwal.html', response)

def list_jadwal(request):

	schedules = JadwalPribadi.objects.all()
	response = {
	    "jadwals" : schedules
	}
	return render(request, 'list_jadwal.html', response)

def delete_jadwal_all(request):
    jadwal = JadwalPribadi.objects.all().delete()
    return redirect('lab4:list_jadwal')

lab6/views.py
# from django.shortcuts import render

# # Create your views here.

lab_1/views.py
from django.shortcuts import render
from datetime import datetime, date
# Enter your name here
mhs_name = 'Dean' # TODO Implement this
full_name = 'Raihansyah Attallah Andrian'
curr_year = int(datetime.now().strftime("%Y"))
birth_date = date(2000, 4, 9) #TODO Implement this, format (Year, Month, Date)
npm = 1706040196 # TODO Implement this
# Create your views here.
def index(request):
    response = {'name': mhs_name, 'age': calculate_age(birth_date.year), 'npm': npm, 'full_name':full_name}
    return render(request, 'index_lab1.html', response)

def calculate_age(birth_year):
    return curr_year - birth_year if birth_year <= curr_year else 0

lab_2/views.py
from django.shortcuts import render
from lab_1.views import mhs_name, birth_date

#TODO Implement
#Create a content paragraph for your landing page:
landing_page_content = ''

def index(request):
    response = {'name': mhs_name, 'content': landing_page_content}
    return render(request, 'index_lab2.html', response)

lab4/templates/about-me.html
{% extends 'main.html' %}

{% block title %} About-Me {% endblock %}

{% block content %}
{% load static %}

	<div class = "header">
		<br>
		<h1 class="judul-white" style=" margin-top: 0vw; margin-bottom: 0vw"><b> - About Me - </b></h1>
		<br><br>
	</div>


	<div class = "bg1" style="height: 98vw">
		<br>
		<h1 class="judul-white" style=" margin-top: 0vw; margin-bottom: 0vw; font-size: 7.6vw"><b> - SKILLS -</b></h1>
		<div>
			<div class = "konten-gelap" style="float:left; margin-left:10vw; margin-top: 2vw; margin-bottom: 0vw">
				<img src="https://image.ibb.co/hPqQ4z/s1.png" alt="skill1" border="0" style="float: left;height: 18vw;margin-left: -1vw">
				<article style="margin-left: 14vw; width: 20vw;font-size: 2vw"> <strong style="font-size: 2.5vw;">Problem Solving </strong> <br><br>Experienced in several real life problem solving and math competitions </article>
				<br><br><br>

				<img src="https://image.ibb.co/jT47HK/s3.png" alt="skill3" border="0" style="float: left;height: 15vw; margin-left: -3.5vw">
				<article style="margin-left: 14vw; width: 24vw;font-size: 2vw"> <strong style="font-size: 2.5vw;">Time Management </strong> <br><br>Able to manage time by making priority charts and focusing on the current top priority </article>

				<br><br><br>

				<img src="https://image.ibb.co/cY1McK/s5.png" alt="skill5" border="0" style="float: left;height: 15vw; margin-left: -3.3vw">
				<article style="margin-left: 14vw; width: 25vw;font-size: 2vw"> <strong style="font-size: 2.5vw;">Programming </strong> <br><br>Currently studying and also experienced in several competitions (Competitive Programming) </article>
				
			</div>
		</div>
		
		<div>
			<div class = "konten-gelap" style=" float:left; margin-left:2vw;margin-top: 8vw;margin-bottom: 0vw">
				
				<img src="https://preview.ibb.co/mdNire/s2.png" alt="skill2" border="0" style="float: left;height: 18vw;">
				<article style="width: 20vw;font-size: 2vw;margin-left: 19vw"> <strong style="font-size: 2.5vw;">Listening </strong> <br><br>Good at listening to opinions of others and also respect their perspective </article>

				<br><br><br>
				<img src="https://image.ibb.co/fHb9We/s42.png" alt="skill4" border="0" style="float: left;height: 18vw;">
				<article style="width: 20vw;font-size: 2vw;margin-left: 19vw"> <strong style="font-size: 2.5vw;">Team Work </strong> <br><br>Prefers to work as a team rather than individually during projects  </article
				>

				<br><br><br>
				<img src="https://image.ibb.co/kubXjz/s6.png" alt="skill6" border="0" style="float: left;height: 18vw;">
				<article style="width: 24vw;font-size: 2vw;margin-left: 19vw"> <strong style="font-size: 2.5vw;">Finance </strong> <br><br>Capable and experienced at managing financial sector of some committees </article>
			</div>
		</div>
		

		<br>
		<br>
	</div>

	<div class = "bg2about">
		<br><br>
		<h1 class="judul-gelap" style="margin: 20%; margin-top: 0vw; margin-bottom: 0vw"><b>- EXPERIENCE -</b> </h1>
		<br><br>
		<div class="konten-gelap" style="margin-left: 5%; margin-right: 5%; font-size: 2.5vw" >
			<img src="https://image.ibb.co/mEnire/medal.png" alt="medal" border="0" style="float:right; width:12vw;">
			Since elementary school I have a passion in mathematics. I participated in several math olympiads either on nationals or international levels. Through the years, I luckily won some medals on those competitions.
		</div>
		<br> <br> <br>
		<div class="konten-gelap" style="margin-left: 5vw; margin-right: 5vw;margin-bottom: 10vw;font-size: 2.5vw" >
			<img src="https://image.ibb.co/k56McK/piala.png" alt="piala" border="0" style="float:left; width:12vw;">
			<p style="margin-left: 17vw;">Currently I am a computer science student. Thanks to my background in maths, I am currently participating in several Porgramming contests across Indonesia.</p>

		</div>
	</div>

	<div class = "bg3about">
		<br><br>
		<h1 class="judul-gelap"><b> Back to home ???</b> </h1>
		<br><br>
		<div style="margin-left: 37vw; margin-bottom: 5vw">

			<a href="{% url 'lab4:homepage' %}" class="btn btn-primary btn-lg active" role="button" aria-pressed="true" style="font-family: Indie Flower, cursive; font-size: 5vw; color: white; border-radius: 4vw;background: #223DCD; border: 0.3vw solid #000000;"> CLICK HERE</a>
		</div>
	</div>


	<div class="jumbotron jumbotron-fluid footerbg">
	  	<div class="container" style="height: 8vw; width: 100vw;margin-bottom: 0vw">
	  		<article class = "motto"><b> - Life is about Creating Yourself - </b> </article>
	  		<br><br>
	  	</div>
	    <div class="container socmed">
	    	<div class="row">
	    		<div class="col-sm">
	    			<img src="https://image.ibb.co/iju7HK/ig.png" alt="ig" border="0" class="align-self-center mr-3 socmed-logo">
	    				<p class="konten-footer">@raa.dean</p>
	    		</div>

	    		<div class="col-sm">
	    			<img src="https://image.ibb.co/fYV3re/in.png" alt="in" border="0" class="align-self-center mr-3 socmed-logo">
	    			<p class="konten-footer">Raihansyah Andrian</p>
	    		</div>
	    	</div>
	    	<br><br>
	    	<div class="row" style="margin-top: -15px">
	    		<div class="col-sm">
	    			<img src="https://image.ibb.co/dCJpWe/fb.png" alt="fb" border="0" class="align-self-center mr-3 socmed-logo">
	    			<p class="konten-footer">Raihansyah Andrian</p>
	    		</div>

	    		<div class="col-sm">
	    			<img src="https://image.ibb.co/gAXGBe/email2.png" alt="email2" border="0" class="align-self-center mr-3 socmed-logo">
	    			<p class="konten-footer">raihansyah.dean@gmail.com</p>
	    		</div>
	    	</div>
	    </div>
	</div>
{% endblock %}

lab4/templates/home.html
{% extends 'main.html' %}
{% block title %} Home {% endblock %}

{% block content %}
{% load static %}
	
	<div class="homecover" style="margin-bottom: 0vw">
		<div class="textBoxFoto">
			<article class="text">
				<b>- Hey, I'm -</b>
			</article>
			<article class="text"">
				<b>- RAIHANSYAH DEAN -</b>
			</article>
		</div>
	</div> 

	<div class = "header">
		<br>
		<h1 class="judul-white" style=" margin-top: 0vw; margin-bottom: 0vw"><b> - My Home Page -</b></h1>
		<br><br>
	</div>

	<div class = "bg1" style="margin-top: 0vw">
		<br>
		<h1 class="judul-white" style="text-align: left; font-size: 5vw; margin-left: 5vw; "><b> A Short Bio... </b></h1>
		<br>
		<p class="konten-white" style="margin-left:5%; margin-right: 5%; font-size: 2.5vw"> My name is Dean. I'm currently a Computer Science student in University of Indonesia. I'm an experienced student in some math competitions. I'm also active in several organizations and committees. I'm also a flexible guy, able to work with others, good at time management, and I consider the process and the quality of something I do the most. </p>
		<br>
		<br>
	</div>

	<div class = "bg2">
		<br><br>
		<h1 class="judul-gelap" style="margin: 20vw; margin-top: 0vw; margin-bottom: 3vw"><b> DO YOU WANT TO... </b></h1>
		<div>
			<div class = "judul-gelap" style="font-size: 4vw; float:left; margin-left:10%; margin-top: 3vw;margin-bottom: 3vw">
				See who I am?

			</div>
			<div class = "judul-gelap" style="font-size: 4vw; float: right; margin-right: 10%; margin-top: 3vw; margin-bottom: 6vw">
				...or see my life's experience?
			</div>
		</div>
		<div style="margin-left: 37vw; margin-bottom: 5vw">

				<a href="{% url 'lab4:about' %}" class="btn btn-primary btn-lg active" role="button" aria-pressed="true" style="font-family: Indie Flower, cursive; font-size: 5vw; color: white; border-radius: 4vw;background: #223DCD; border: 0.3vw solid #000000;"> CLICK HERE</a>

		</div>
		<br>
		<h1 class="judul-gelap" style="margin: 20vw; margin-top: 0vw; margin-bottom: 2vw;font-size: 4vw"> ...or maybe register to my page?</h1>
		<div style="margin-left: 38.5vw; margin-bottom: 5vw">

			<a href="{% url 'lab4:register' %}" class="btn btn-primary btn-lg active" role="button" aria-pressed="true" style="font-family: Indie Flower, cursive; font-size: 3vw; color: white; border-radius: 4vw;background: #223DCD; border: 0.3vw solid #000000;"> REGISTER HERE</a>
		</div>
	</div>

	<div class = "bg3">
		<br><br>
		<h1 class="judul-gelap" style="margin-bottom: 3vw"><b>- INTERESTS -</b> </h1>

		<div style="margin-bottom: 5vw">
			<div class = "konten-gelap" style="float:left; margin:3vw;width:25vw; margin-left: 5vw;margin-top: 0px; margin-bottom: 0px">
				<article> <strong style="font-size: 2.1vw;">Game Development </strong> <br><br>Understands some of the basics of game developing specifically on some of the game mechanics </article>
			</div>
			<div class = "konten-gelap" style="float:left;  margin:4vw;width:25vw;margin-top: 0px; margin-bottom: 0px">
				<article> <strong style="font-size: 2.1vw;">Animation Programmer </strong> <br><br>Currently learning about simple animations in 2D and 3D. Interested in the mathematics or physics side rather than the art side </article>
			</div>
			<div class = "konten-gelap" style="float: left; margin:3vw;width:25vw;margin-top: 0px; margin-bottom: 0px">
				<article> <strong style="font-size: 2.1vw;">CGI Artist </strong> <br><br>Interested in working at the movie industry since one of my hobbies is also watching films. </article>
			</div>
		</div>
	</div>

	<div class="jumbotron jumbotron-fluid footerbg">
	  	<div class="container" style="height: 8vw; width: 100vw;margin-bottom: 0vw">
	  		<article class = "motto"><b> - Life is about Creating Yourself - </b> </article>
	  		<br><br>
	  	</div>
	    <div class="container socmed">
	    	<div class="row">
	    		<div class="col-sm">
	    			<img src="https://image.ibb.co/iju7HK/ig.png" alt="ig" border="0" class="align-self-center mr-3 socmed-logo">
	    				<p class="konten-footer">@raa.dean</p>
	    		</div>

	    		<div class="col-sm">
	    			<img src="https://image.ibb.co/fYV3re/in.png" alt="in" border="0" class="align-self-center mr-3 socmed-logo">
	    			<p class="konten-footer">Raihansyah Andrian</p>
	    		</div>
	    	</div>
	    	<br><br>
	    	<div class="row" style="margin-top: -15px">
	    		<div class="col-sm">
	    			<img src="https://image.ibb.co/dCJpWe/fb.png" alt="fb" border="0" class="align-self-center mr-3 socmed-logo">
	    			<p class="konten-footer">Raihansyah Andrian</p>
	    		</div>

	    		<div class="col-sm">
	    			<img src="https://image.ibb.co/gAXGBe/email2.png" alt="email2" border="0" class="align-self-center mr-3 socmed-logo">
	    			<p class="konten-footer">raihansyah.dean@gmail.com</p>
	    		</div>
	    	</div>
	    </div>
	</div>
{% endblock %}	

lab4/templates/kontak.html
{% extends 'main.html' %}

{% block title %} Register {% endblock %}

{% block content %}
{% load static %}
	<div class = "header">
		<br>
		<h1 class="judul-white" style=" margin-top: 0vw; margin-bottom: 0vw"><b> - Register Here - </b></h1>
		<br><br>
	</div>


	<div class = "bg2regis">
		<br><br>
		<h2 class="judul-gelap" style="margin: 20%; margin-top: 0vw; margin-bottom: 0vw; font-size: 5.5vw"><b>- Fill This Form Please -</b> </h2>
		<br><br>
		<center>
		<form class="format-form-input">
			<div class="form-group">
			    <label for="InputName" class="konten-gelap">Your Name</label>
			    <input type="text" class="form-control" id="InputName" placeholder="What is your name?">
		  	</div>

		  	<div class="form-group">
			    <label for="InputDate" class="konten-gelap">Your Birth Date</label>
			    <input type="Date" class="form-control" id="InputDate">
		  	</div>

			<div class="form-group">
			    <label for="InputEmail" class="konten-gelap">Email address</label>
			    <input type="email" class="form-control" id="InputEmail" aria-describedby="emailHelp" placeholder="What is your email?">
			    <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
			</div>

			<div class="form-group">
			    <label for="InputUsername" class="konten-gelap">Your Username</label>
			    <input type="text" class="form-control" id="InputUsername" placeholder="What do you want to be your username?">
		  	</div>

			<div class="form-group">
			    <label for="InputPassword" class="konten-gelap">Password</label>
			    <input type="password" class="form-control" id="InputPassword" placeholder="Password?">
			</div>
			<br>

			<div class="form-group">
			    <label for="InputConfirmPassword" class="konten-gelap">Confirm Password</label>
			    <input type="password" class="form-control" id="InputConfirmPassword" placeholder="Confirm your password!">
			</div>
			<br>
			<a href="{% url 'lab4:homepage' %}" class="btn btn-primary btn-lg active" role="button" aria-pressed="true" style="font-family: Indie Flower, cursive; font-size: 2.5vw; color: white; border-radius: 4vw; background: #223DCD; border: 0.3vw solid #000000;box-shadow: 0.4vw 0.4vw 0vw rgba(0, 0, 0, 0.3);"> Regist Me!</a>
		</form>
		</center>
	</div>

	<div class = "bg3about">
		<br><br>
		<h1 class="judul-gelap"><b> Back to home ???</b> </h1>
		<br><br>
		<div style="margin-left: 37vw; margin-bottom: 5vw">

			<a href="{% url 'lab4:homepage' %}" class="btn btn-primary btn-lg active" role="button" aria-pressed="true" style="font-family: Indie Flower, cursive; font-size: 5vw; color: white; border-radius: 4vw;background: #223DCD; border: 0.3vw solid #000000;"> CLICK HERE</a>
		</div>
	</div>

	<div class="jumbotron jumbotron-fluid footerbgregis">
	  	<div class="container" style="height: 8vw; width: 100vw;margin-bottom: 0vw">
	  		<article class = "motto"><b> - Life is about Creating Yourself - </b> </article>
	  		<br><br>
	  	</div>
	    <div class="container socmed">
	    	<div class="row">
	    		<div class="col-sm">
	    			<img src="https://image.ibb.co/iju7HK/ig.png" alt="ig" border="0" class="align-self-center mr-3 socmed-logo">
	    				<p class="konten-footer">@raa.dean</p>
	    		</div>

	    		<div class="col-sm">
	    			<img src="https://image.ibb.co/fYV3re/in.png" alt="in" border="0" class="align-self-center mr-3 socmed-logo">
	    			<p class="konten-footer">Raihansyah Andrian</p>
	    		</div>
	    	</div>
	    	<br><br>
	    	<div class="row" style="margin-top: -15px">
	    		<div class="col-sm">
	    			<img src="https://image.ibb.co/dCJpWe/fb.png" alt="fb" border="0" class="align-self-center mr-3 socmed-logo">
	    			<p class="konten-footer">Raihansyah Andrian</p>
	    		</div>

	    		<div class="col-sm">
	    			<img src="https://image.ibb.co/gAXGBe/email2.png" alt="email2" border="0" class="align-self-center mr-3 socmed-logo">
	    			<p class="konten-footer">raihansyah.dean@gmail.com</p>
	    		</div>
	    	</div>
	    </div>
	</div>
{% endblock %}

lab4/templates/list_jadwal.html
{% extends 'main.html' %}
{% block title %} Schedule List {% endblock %}

{% block content %}
{% load static %}
<div class = "header">
	<br>
	<h1 class="judul-white" style=" margin-top: 0vw; margin-bottom: 0vw"><b> - Schedule List - </b></h1>
	<br><br>
</div>

<div style="background-color: #FBD7BD; width: 100vw">
	<br><br>
    <div class="container">
        <div class="row">
    		{% if message %}
      			<p>{{ message }}</p>
    		{% endif %}
    		{% if jadwals %}
      			{% for jadwal in jadwals %}
        		<div class="col-lg-6 col-md-6 konten-gelap">
          			<h1 style="font-weight: bold">{{ jadwal.nama_kegiatan }}</h1>
          			<h4 style="font-weight: bold">Hari / Tanggal / Jam : {{ jadwal.hari }} / {{ jadwal.tanggal }} / {{ jadwal.jam }}</h4>
          			<p>Kategori : {{ jadwal.kategori }} </p>
          			<p>Tempat : {{ jadwal.tempat }} </p>
          			<br>
        		</div>
      			{% endfor %}

      			
    		{% else %}
        		<h2 class="konten-gelap" style="font-weight: bold">Belom ada jadwal <br></h2>

    		{% endif %}
      	</div>

    </div>
    {% if jadwals %}
		<div>
			<form action="/list/" method="POST">{% csrf_token %}
		    	<div class="col-lg-1 col-md-1 konten-gelap" style="font-size: 1.5vw; margin: auto;">
		    		<label for="list_jadwal" class="button alert">
              <center>
		    			<a class="btn btn-primary btn-lg active" href="{% url 'lab4:delete_jadwal_all' %}" style="font-family: Indie Flower, cursive; font-size: 2vw; color: white; border-radius: 4vw;background: #223DCD; border: 0.1vw solid #000000;"> Clear all...</a>
              </center>
		    		</label>
		    	</div>
		    </form>
		</div>
	{% endif %}


</div>

<div class="jumbotron jumbotron-fluid footerbgregis">
  	<div class="container" style="height: 8vw; width: 100vw;margin-bottom: 0vw">
  		<article class = "motto"><b> - Life is about Creating Yourself - </b> </article>
  		<br><br>
  	</div>
    <div class="container socmed">
    	<div class="row">
    		<div class="col-sm">
    			<img src="https://image.ibb.co/iju7HK/ig.png" alt="ig" border="0" class="align-self-center mr-3 socmed-logo">
    				<p class="konten-footer">@raa.dean</p>
    		</div>

    		<div class="col-sm">
    			<img src="https://image.ibb.co/fYV3re/in.png" alt="in" border="0" class="align-self-center mr-3 socmed-logo">
    			<p class="konten-footer">Raihansyah Andrian</p>
    		</div>
    	</div>
    	<br><br>
    	<div class="row" style="margin-top: -15px">
    		<div class="col-sm">
    			<img src="https://image.ibb.co/dCJpWe/fb.png" alt="fb" border="0" class="align-self-center mr-3 socmed-logo">
    			<p class="konten-footer">Raihansyah Andrian</p>
    		</div>

    		<div class="col-sm">
    			<img src="https://image.ibb.co/gAXGBe/email2.png" alt="email2" border="0" class="align-self-center mr-3 socmed-logo">
    			<p class="konten-footer">raihansyah.dean@gmail.com</p>
    		</div>
    	</div>
    </div>
</div>

{% endblock %}

lab4/templates/main.html
{% load static %}
<!DOCTYPE html>
<html>
<head>
	<title>{% block title %} {% endblock %}</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<link href="https://fonts.googleapis.com/css?family=Indie+Flower" rel="stylesheet"> 
	<link href="https://fonts.googleapis.com/css?family=Quicksand" rel="stylesheet"> 
	<link rel="stylesheet" href="{% static 'css/lab3style.css' %}">
	
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	

</head>
<body>
	<nav class="navbar navbar-expand-lg navbar-light">

		<a class="navbar-brand active" href="{% url 'lab4:homepage' %}"> <img src="https://image.ibb.co/faTm99/home_icon_png_black_7.png" style="width:30px;"><span class="sr-only">(current)</span></a>
		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
		  	<span class="navbar-toggler-icon"></span>
		</button>
	  
		<div class="collapse navbar-collapse" id="navbarSupportedContent">
		  	<ul class="navbar-nav mr-auto">
				<li class="nav-item">
			 		 <a class="nav-link" href="{% url 'lab4:about' %}">About Me</a>
				</li>
				<li class="nav-item">
			  		<a class="nav-link" href="{% url 'lab4:register' %}">Register</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'lab4:create_jadwal' %}">Create Schedule</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{% url 'lab4:list_jadwal' %}">Schedules</a>
				</li>
		  	</ul>
		</div>
	</nav>
	{% block content %}
    {% endblock %}

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	

	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
</body>
</html>

lab_1/templates/index_lab1.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1,shrink-to-fit=no">
    <title>{{ name }}</title>
</head>
<body>
    <center>
    {% load static %}
	<img src="{% static 'foto.jpg' %}" alt="My image" height="300">
        <br/><h1>Hello my name is {{ name }}</h1>
        <article>My full name is {{full_name}}
        <br/> NPM : {{ npm }}
        <br/>I am {{ age }} years old
        <br/>I am currently an undergraduate student of <br/> Computer Science in University of Indonesia</article>
        <br/>I love to play games and music</article>
    </center>
</body>
</html>

lab_2/templates/index_lab2.html
{% extends "base.html" %}
{% block content %}
<style>
    .center_screen {
        position: absolute;
        width: 500px;
        height: 50px;
        top: 50%;
        left: 50%;
        margin-left: -250px; /* margin is -0.5 * dimension */
        margin-top: -25px;
    }
</style>
<div class="center_screen">
    <p class="status" id="test">Hello, this is {{ name }}. {{ content }}.</p>
</div>
{% endblock %}